/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.system.service;

import com.zayac.admin.system.model.query.AgentStatsQuery;
import com.zayac.admin.system.model.req.AgentStatsReq;
import com.zayac.admin.system.model.resp.AgentStatsDetailResp;
import com.zayac.admin.system.model.resp.AgentStatsResp;
import org.springframework.stereotype.Service;
import top.continew.starter.extension.crud.service.BaseService;

/**
 * 账号业务接口
 *
 * @author zayac
 * @since 2024/05/10 20:44
 */
@Service
public interface AgentStatsService extends BaseService<AgentStatsResp, AgentStatsDetailResp, AgentStatsQuery, AgentStatsReq> {
}